#!/usr/bin/env perl
binmode STDIN, ":utf8";
binmode STDOUT, ":utf8";
binmode STDERR, ":utf8";
#use re "debug";
use utf8;
#use strict;
#use warnings;
use Encode;
#------------------------------------------------------------------------------------------------------
$|=1; 


while(<>){
	chomp;
	#$_=~ s/(\{[^\}]*\} .*?) \[\|0\|\]/$1/g;	
	$_=~ s/\{<([^\>]*)>([^\}]*)<\/F>\} \2 \[\|-1\|\]/\{<$1>$2<\/F>\} $2/g;
	$_=~ s/\{<([^\>]*)>([^\}]*)<\/F>\} ([^ ]+) \[\|-1\|\]/\{<$1>$2◀Corr_SXP_-1<\/F>\} $3/g;
	$_=~ s/\{<([^\>]*)>([^\}]*)<\/F>\} \2 \[\|0\|\]/\{<$1>$2<\/F>\} $2/g;
	$_=~ s/\{<([^\>]*)>([^\}]*)<\/F>\} ([^ ]+) \[\|0\|\]/\{<$1>$2◀Corr_SXP_0<\/F>\} $3/g;
	$_=~ s/\{([^\}]*)<\/F>\} ([^ ]+) \[\|([0-9]+)\|\]/\{$1◀Corr_SXP_$3<\/F>\} $2/g;
	#$_=~ s/__(prep|det|adv)//g;#fait pdt le lissage
	print "$_\n";
}


